Help tidying up my installation please

I am trying to tidy up my installation again having downloaded software directly from git type sites rather than the Leap 15.4 repo, on advice from this forum in the past. This has left me with messages which I do not always follow and I want to tidy things up a bit.

Here is what I had from my update today:-

alastair@ibmserv2:~> sudo zypper up
[sudo] password for root: 
Loading repository data...
Warning: Repository 'openSUSE:Backports:SLE-15-SP4' appears to be outdated. Consider using a different mirror or server.
Reading installed packages...

The following 23 package updates will NOT be installed:
  cups cups-client cups-config cups-ddk cups-devel cups-filters cups-pdf ffmpeg-4 ghostscript ghostscript-x11 gutenprint
  libavcodec58_134 libavdevice58_13 libavfilter7_110 libavformat58_76 libavresample4_0 libavutil56_70 libcups2 libcupsimage2
  libpostproc55_9 libswresample3_9 libswscale5_9 parallel-printer-support

The following 6 packages are going to be upgraded:
  libopenssl1_1 libopenssl1_1-32bit libopenssl3 libopenssl-3-devel openssl-1_1 openssl-3

6 packages to upgrade.
Overall download size: 5.9 MiB. Already cached: 0 B. After the operation, additional 28.1 KiB will be used.
Continue? [y/n/v/...? shows all options] (y): 

Grateful for advice on this please.

The Backports Repository warning may be due to the cached metadata being outdated –

  • Use “zypper refresh --force” to force the cached metadata to be renewed.
  • You could also use “zypper clean --all” before refreshing the repository information.

When Zypper indicates that, package updates will not be installed, it means that, you need to inspect the list of priorities assigned to the repositories you’re using.

  • If, for the list of packages which will not be updated, there’s a newer version in a repository with a lower priority then, that newer version will not be installed.

You can check the various versions of the “will not be installed” packages by means of the YaST Software Manager.

Post:
zypper lr -d

The repos installed from when one kind soul here suggested what to install. AFAIK much can be deleted but I am not sure what because of the way things have changed between 15.3 and 15.4.
If you can put me right here it would be very much appreciated. Here is what I have now:-

alastair@ibmserv2:~> sudo zypper lr -d
[sudo] password for root: 
#  | Alias                                | Name                                                                                        | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                  | Service
---+--------------------------------------+---------------------------------------------------------------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------------------+--------
 1 | http-ftp.gwdg.de-1025f41d            | Packman Repository                                                                          | Yes     | (r ) Yes  | Yes     |   20     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.4/                   | 
 2 | http-opensuse-guide.org-644cec2b     | libdvdcss repository                                                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.4/                                   | 
 4 | https-download.opensuse.org-9c253aa5 | Printing                                                                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/Printing/15.4/                            | 
 3 | https-download.opensuse.org-884f8ce2 | SUSE:SLE-15:Update                                                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/distribution/leap/15.4/repo/oss/                       | 
 5 | https-download.opensuse.org-bb801912 | openSUSE:Backports:SLE-15-SP4                                                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/standard/ | 
 6 | non-oss                              | non-oss                                                                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.4/repo/non-oss/             | 
 7 | non-oss_1                            | non-oss                                                                                     | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.4/repo/non-oss/              | 
 8 | oss                                  | oss                                                                                         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.4/repo/oss/                  | 
 9 | oss_1                                | oss                                                                                         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.4/oss/                             | 
10 | oss_2                                | oss                                                                                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.4/repo/oss/                 | 
11 | repo-backports-debug-update          | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/update/leap/15.4/backports_debug/                       | 
12 | repo-backports-update                | Update repository of openSUSE Backports                                                     | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/backports/                             | 
13 | repo-non-oss                         | Non-OSS Repository                                                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.4/repo/non-oss/                    | 
14 | repo-oss                             | Main Repository                                                                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.4/repo/oss/                        | 
15 | repo-sle-debug-update                | Update repository with debuginfo for updates from SUSE Linux Enterprise 15                  | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/update/leap/15.4/sle/                             | 
16 | repo-sle-update                      | Update repository with updates from SUSE Linux Enterprise 15                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/sle/                                   | 
17 | repo-update                          | Main Update Repository                                                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/oss                                    | 
18 | repo-update-non-oss                  | Update Repository (Non-Oss)                                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/non-oss/                               | 
alastair@ibmserv2:~> 

Regards,
Budge.

Why:

5 | https-download.opensuse.org-bb801912 | openSUSE:Backports:SLE-15-SP4 | Yes | (r ) Yes | Yes | 99 | rpm-md | https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/standard/ |

1 Like

You pretend you do not know the answer? Because it was added by 1-click install.

No recollection, that is why I am asking what I should have on my machine now.

Required:
http://download.opensuse.org/distribution/leap/15.4/repo/non-oss/
http://download.opensuse.org/distribution/leap/15.4/repo/oss/
http://download.opensuse.org/update/leap/15.4/backports/
http://download.opensuse.org/update/leap/15.4/non-oss/
http://download.opensuse.org/update/leap/15.4/oss
http://download.opensuse.org/update/leap/15.4/sle/

Most people need or want these:
http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.4/
http://opensuse-guide.org/repo/openSUSE_Leap_15.4/

Only you can decide if this is necessary:
http://download.opensuse.org/repositories/Printing/15.4/

The rest are duplicates or clutter or worse, unless you are building
and/or debugging your software yourself. Either remove or disable
those that aren't already disabled.

Hi mrmazda,
Exactly what I needed, for which many thanks.
All rubbish removed and now I can clean up a bit more.
Many thanks,
Budge

Further to this I now have the following repos enabled:-

alastair@ibmserv2:~> sudo zypper lr -d
[sudo] password for root: 
# | Alias                                | Name                                                         | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                | Service
--+--------------------------------------+--------------------------------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------+--------
1 | http-ftp.gwdg.de-1025f41d            | Packman Repository                                           | Yes     | (r ) Yes  | Yes     |   20     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.4/ | 
2 | http-opensuse-guide.org-644cec2b     | libdvdcss repository                                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.4/                 | 
3 | https-download.opensuse.org-9c253aa5 | Printing                                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/Printing/15.4/          | 
4 | repo-backports-update                | Update repository of openSUSE Backports                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/backports/           | 
5 | repo-non-oss                         | Non-OSS Repository                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.4/repo/non-oss/  | 
6 | repo-oss                             | Main Repository                                              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.4/repo/oss/      | 
7 | repo-sle-update                      | Update repository with updates from SUSE Linux Enterprise 15 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/sle/                 | 
8 | repo-update                          | Main Update Repository                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/oss                  | 
9 | repo-update-non-oss                  | Update Repository (Non-Oss)                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/non-oss/             | 
alastair@ibmserv2:~> 

In a different thread I have been sharing the saga of trying to get a new HP printer to work so have left the installed the Printer obs repo. here because it might be relevant to my printer problem.

At present all the repos have been set with priority 99 except Packman which I set with priority 20 to use Packman in preference, mainly for multimedia purposes. I understand that this is why some updates are shown but not selected and noticed today that cups was so highlighted as not updated. Given that I am having serious issues with the printer and some of the cups tools might be relevant, should I change the priority for the obs version of Printer. As you know I am well out of my comfort zone here which is why I am asking.